# Installation

## Database initialization

The `db` directory contains some scripts to initialize the raven
database:

* `create-users.sql`: creates and sets permissions to users. Run this
  script as the `root` MySQL user.
* `create-database.sql`: creates the database. Run this script as the
  `ravenadmin` MySQL user, or just run the `db/update-db` script.

Or more explicitly:

    cd db
    mysql -u root -p < create-users.sql
    db/update-db

If running the `create-database.sql` script MySQL complaints with an
error message such as:

You do not have the SUPER privilege and binary logging is enabled (you
\*might\* want to use the less safe `log_bin_trust_function_creators`
variable).

run the script as the `root ` MySQL user or add the following line to
`my.cnf`:

    log_bin_trust_function_creators = TRUE

## Install raven

1. Install node.js
2. `npm install` raven

## Launch raven

1. Configure your instance creating a `config.js` file (a sample configuration is available in `config.js.docker`)
2. Just launch `raven` (if not in `PATH` `node_modules/.bin/raven`).
