SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

-- -----------------------------------------------------
-- Users
-- -----------------------------------------------------
CREATE USER 'ravenadmin' IDENTIFIED BY 'ravenadmin';
CREATE USER 'nodeserver' IDENTIFIED BY 'nodeserver';

GRANT ALL ON `Raven`.* TO 'ravenadmin';
GRANT SELECT, INSERT, UPDATE, DELETE ON `Raven`.* TO 'nodeserver';

FLUSH PRIVILEGES;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
